org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class InterpreterModeCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.InterpreterModeCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider

  Deprecated.
  As of release 3.2.4, not replaced by a public class.

      @Deprecated
      public class InterpreterModeCustomizerProvider
      extends Object
      implements CompilerCustomizerProvider

  Places the `ScriptEngine` in "interpreter mode" where local variables of a script are treated as global bindings. This implementation is technically not a true `CompilerCustomizerProvider` instance as the "interpreter mode" feature does not require a `CompilerCustomizer`. This class merely acts as a flag that tells the `GremlinGroovyScriptEngine` to turn this feature on.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpreterModeCustomizerProvider()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpreterModeCustomizerProvider

          public InterpreterModeCustomizerProvider()

      Deprecated.

  - ### Method Detail

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.